# norootforbuild

Name: xsmc-calc
Summary: Smith chart calculator
Version: 1.0.0
Release: lp153.5.1
License: GPL
Group: Productivity/Hamradio/Other
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Patch:	%{name}-%{version}-3.diff
Packager: DL9PF  <dl9pf@gmx.de>
Distribution: %distribution
Prefix: /usr
Url: http://www..net
#Vendor: Yourvendor <if needed>

# Installation dependency requirements
##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version}
Requires: glibc 
%endif

#%if 0%{?suse_version} == 1030
#Requires: 
#%endif
#%if 0%{?suse_version} == 1020
#Requires: 
#%endif
#%if 0%{?suse_version} == 1010
#Requires: 
#%endif
#%if 0%{?suse_version} == 1000
#Requires: 
#%endif
#%if 0%{?suse_version} == 930
#Requires: 
#%endif
#%if 0%{?sles_version} == 10
#Requires: 
#%endif
#%if 0%{?sles_version} == 9 
#Requires: 
#%endif

##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version}
Requires: 
%endif


#%if 0%{?fedora_version} == 4
#Requires: 
#%endif
#%if 0%{?fedora_version} == 5
#Requires: 
#%endif
#%if 0%{?fedora_version} == 6 
#Requires: 
#%endif

##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version}
Requires: 
%endif

#%if 0%{?mandriva_version} == 2006
#Requires: 
#%endif
#%if 0%{?mandriva_version} == 2007
#Requires: 
#%endif

# Build dependency requirements
##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version}
BuildRequires:  gcc xorg-x11-devel
%endif


#%if 0%{?suse_version} == 1030
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1020
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1010
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1000
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 930
#BuildRequires:  
#%endif
#%if 0%{?sles_version} == 10
#BuildRequires:  
#%endif
#%if 0%{?sles_version} == 9
#BuildRequires:  
#%endif

##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version}
BuildRequires:  
%endif


#%if 0%{?fedora_version} == 4
#BuildRequires:  
#%endif
#%if 0%{?fedora_version} == 5 
#BuildRequires:  
#%endif
#%if 0%{?fedora_version} == 6
#BuildRequires:  
#%endif
##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version}
BuildRequires:  
%endif


#%if 0%{?mandriva_version} == 2006
#BuildRequires:  
#%endif
#%if 0%{?mandriva_version} == 2007
#BuildRequires:  
#%endif

%description
Smith chart calculator for X11 




%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q -n xsmc-calc
%patch -p1

%build
####configu
make LIBID=%_lib

%install
make DESTDIR=$RPM_BUILD_ROOT LIBID=%_lib install


%post
#Copy the default apache config to the correct directory

##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version}
%endif
##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version}
%endif
##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root,0755)

%{prefix}/bin/*
#%{prefix}/share/locale/
#%{prefix}/etc/
%{prefix}/share/man/man1/*
%doc INSTALL README COPYING

